coerce-git_commit-method {git2r} | R Documentation

## Coerce a commit to a `data.frame`

### Description

The commit is coerced to a `data.frame`

### Arguments

`from` | The commit `object`

### Details

The `data.frame` have the following columns:

sha

  The 40 character hexadecimal string of the SHA-1

summary

  the short "summary" of the git commit message.

message

  the full message of a commit

author

  full name of the author

email

  email of the author

when

  time when the commit happened

### Value

`data.frame`

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a user
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file and commit
    writeLines("Example file",  file.path(path, "example.txt"))
    add(repo, "example.txt")
    c1 <- commit(repo, "Commit message")

    ## Coerce the commit to a data.frame
    df <- as(c1, "data.frame")
    df

    ## End(Not run)

[Package git2r version 0.20.0 Index]